import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ShipButton extends JButton {
    Ship ship;

    public ShipButton(Ship ship, BoardDisplay boardDisplay) {
        super(ship.getName());
        this.ship = ship;
        this.addActionListener((e)->{
            boardDisplay.selectCurrentShip(ship);
        });
    }

}
